# Duolingo Button

<img src="https://www.linkpicture.com/q/ezgif.com-gif-maker_21.gif" width="300" />

| Props                          | Required | Default Value                              |
| ------------------------------ | -------- | ------------------------------------------ |
| **outerContainerStyle** object | No       | borderRadius: 8                            |
| **innerContainerStyle** object | No       | padidngHorizontal: 12, paddingVertical: 24 |
| **title** string               | Yes      | Duolingo Button                            |
| **textStyle** object           | No       | fontSize: 24, color: "black"               |
| **primaryColor** string        | No       | #F7BE1F                                    |
| **shadowColor** string         | No       | #BF8E00                                    |
| **shadowDepth** number         | No       | 5                                          |
| **loaderColor** string         | No       | #000000                                    |
| **loaderSize** number          | No       | 24                                         |
| **isLoading** boolean          | No       | false                                      |
| **onPress** function           | Yes      |                                            |

## Install

```
npm install react-native-duolingo-button

or

yarn install react-native-duolingo-button
```

## Usage

```js
import DuolingoButton from "react-native-duolingo-button";

const Button = () => {
  const onPress = () => {
    /*Write your code here*/
  };
  return (
    <DuolingoButton
      onPress={onPress}
      textStyle={styles.textStyle}
      title={"Duolingo Button"}
    />
  );
};
```
